fribidi_get_bidi_type(3)

NAME
fribidi_get_bidi_type - get character bidi type

SYNOPSIS
#include <fribidi.h>

FriBidiCharType fribidi_get_bidi_type(FriBidiChar ch);

PARAMETERS

FriBidiChar ch
    Input character.

DESCRIPTION
This function returns the bidi type of a character as defined in Table 3.7 Bidirectional Character Types of the Unicode Bidirectional Algorithm available at http://www.unicode.org/reports/tr9/#Bidirectional_Character_Types, using data provided in file UnicodeData.txt of the Unicode Character Database available at http://www.unicode.org/Public/UNIDATA/UnicodeData.txt.

There are a few macros defined in fribidi-bidi-types.h for querying a bidi type.

RETURNS
Since there are 23 possible values for a FriBidiCharType, they are not all listed here.

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_types(3), fribidi_get_bidi_type_name(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_charset_to_unicode(3), fribidi_unicode_to_charset(3), fribidi_parse_charset(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_set_reorder_nsm(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_joining_type_name(3), fribidi_get_mirror_char(3), fribidi_shape_mirroring(3), fribidi_get_bracket(3), fribidi_get_bracket_types(3), fribidi_shape(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3)